{
  "dns": {
    "port": 53,
    "upstreamDNS": [
      "223.5.5.5:53",
      "223.6.6.6:53"
    ],
    "timeout": 5000,
    "statsFile": "./data/stats.json",
    "saveInterval": 300
  },
  "http": {
    "port": 8080,
    "host": "0.0.0.0",
    "enableAPI": true
  },
  "shield": {
    "localRulesFile": "data/rules.txt",
    "remoteRules": [
      "https://example.com/rules.txt",
      "https://gitea.amazehome.xyz/AMAZEHOME/hosts-and-filters/raw/branch/main/rules/costomize.txt"
    ],
    "updateInterval": 60,
    "hostsFile": "data/hosts.txt",
    "blockMethod": "NXDOMAIN",
    "customBlockIP": "",
    "statsFile": "./data/shield_stats.json",
    "statsSaveInterval": 60,
    "remoteRulesCacheDir": "./data/remote_rules"
  },
  "log": {
    "file": "dns-server.log",
    "level": "debug",
    "maxSize": 100,
    "maxBackups": 10,
    "maxAge": 30
  }
}
